(**************************************************************)
(*   Copyright Dominique Larchey-Wendling [*]                 *)
(*                                                            *)
(*                             [*] Affiliation LORIA -- CNRS  *)
(**************************************************************)
(*      This file is distributed under the terms of the       *)
(*         CeCILL v2 FREE SOFTWARE LICENSE AGREEMENT          *)
(**************************************************************)

(* dependencies 
 *
 *  A1,A2 : B1,B2,B3 means Ai depend on Bi
 *
 * list_nat list_in list_perm \
       list_prefix            : 
 * list_aux                   : list_nat
 * list_prod                  : list_perm
 * list_forall                : list_in list_perm
 * list_sig                   : list_in list_forall
 * list_decide                : list_nat list_in _list_forall list_prefix
 * list_fan                   : list_aux list_perm list_prod list_forall 
 *
 *
 *)

Require Export list_nat.
Require Export list_in.
Require Export list_perm.
Require Export list_prefix.

Require Export list_aux.
Require Export list_prod.

Require Export list_forall.
Require Export list_sig.
Require Export list_decide.
Require Export list_fan.

Notation idx_rel := ((fun I X => @Forall3 I X X) _ _).
